View Issue Details

IDProjectCategoryView StatusLast Update
0004671Talerotherpublic2017-06-06 14:18
ReporterFlorian DoldAssigned ToFlorian Dold 
PrioritynormalSeveritytweakReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.0 
Target Version0.3Fixed in Version0.3 
Summary0004671: Either use sourcemaps or don't minify for test environment
DescriptionMinified
 JavaScript originating from TypeScript is really hard to read.

We should either not use minification at all for the test env, or we
should use sourcemaps for minification (TypeScript already uses
sourcemaps).

See
https://developers.google.com/web/tools/chrome-devtools/debug/readability/source-maps?hl=en
TagsNo tags attached.

Activities

Christian Grothoff

2017-05-04 17:12

manager   ~0012101

Sourcemaps are already in use.

Issue History

Date Modified Username Field Change
2016-09-23 14:43 Florian Dold New Issue
2016-09-26 13:56 Christian Grothoff Severity minor => tweak
2016-09-26 13:56 Christian Grothoff Status new => confirmed
2016-09-26 13:56 Christian Grothoff Product Version => 0.0
2016-09-26 14:33 Christian Grothoff Target Version => 0.2
2016-09-26 14:33 Christian Grothoff Description Updated View Revisions
2016-10-10 08:38 Christian Grothoff Target Version 0.2 => 0.5
2017-05-04 17:12 Christian Grothoff Assigned To => Florian Dold
2017-05-04 17:12 Christian Grothoff Status confirmed => resolved
2017-05-04 17:12 Christian Grothoff Resolution open => fixed
2017-05-04 17:12 Christian Grothoff Fixed in Version => 0.3
2017-05-04 17:12 Christian Grothoff Target Version 0.5 => 0.3
2017-05-04 17:12 Christian Grothoff Note Added: 0012101
2017-06-06 14:18 Christian Grothoff Status resolved => closed